
/* --------------------------------------------------
   Layout
-------------------------------------------------- */
.site-topbar {

  position: fixed;
  top: 0;
  left: 0;
  right: 0;

  z-index: 1080;
  border-bottom: 1px solid #e3e3e3;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.04);
  overflow: visible;
  background-color: white;
  transition: top 0.25s ease;
}

.site-topbar.compact {
  top: -42px;
}

.main-nav-wrapper {
  /* position: sticky; */
  z-index: 1030;
  /* border-bottom: 1px solid #e3e3e3; */
  /* box-shadow: 0 2px 8px rgba(0, 0, 0, 0.04); */
}

.container {
  padding-inline: 40px;
}

.tracezilla-logo img {
  width: auto;
  height: 46px;
  margin-bottom: 9px;
}

h4.mega-menu-title {
  font-size: 1.3rem;
}

p.mega-menu-text {
  font-size: 1.1rem;
}

.mega-menu-text {
  color: #677788;
}

@media (max-width: 1200px) {

  .container {
    padding-inline: 32px;
  }
  .tracezilla-logo img {
    height: 40px;
  }
}

@media (max-width: 992px) {
  .container {
    padding-inline: 24px;
  }
  .tracezilla-logo img {
    height: 32px;
  }
}

@media (max-width: 768px) {
  .container {
    padding-inline: 16px;
  }
  .tracezilla-logo img {
    height: 30px;
  }
}

/* Mobile first */

.navbar-expand-tracezilla .navbar-collapse {
  display: none;
}

.navbar-expand-tracezilla .navbar-collapse.show {
  display: block;
}

/* Desktop */

@media (min-width: 992px) {
  .navbar-expand-tracezilla {
    flex-flow: row nowrap;
    justify-content: flex-start;
  }

  .navbar-expand-tracezilla .navbar-toggler {
    display: none;
  }

  .navbar-expand-tracezilla .navbar-collapse {
    display: flex !important;
    flex-basis: auto;
  }
  
}


/* --------------------------------------------------
   Utility Row
-------------------------------------------------- */

.utility-row {
  min-height: 30px;
  padding-top: 5px;
}


/* --------------------------------------------------
   Utility Links
-------------------------------------------------- */

.utility-links {
  gap: 1rem;
}

.utility-link {
  color: #6c757d;

  font-size: 1rem;

  text-decoration: none;

  padding: 0.35rem 0.65rem;

  border-radius: 0.5rem;

  transition:
    background-color 0.15s ease,
    color 0.15s ease;
}

.utility-link:hover {
  color: #212529;

  background: #e6e6e6;

  text-decoration: none;
}

@media (max-width: 440px) {

  .utility-links {
    gap: 0.5rem;
  }
}
/* --------------------------------------------------
   Utility Labels
-------------------------------------------------- */

.utility-label {
  display: none;
}

@media (min-width: 800px) {

  .utility-label {
    display: inline;
  }
}

/* --------------------------------------------------
   Language Selector
-------------------------------------------------- */

.language-selector {
  color: #6c757d;

  font-size: 1rem;

  text-decoration: none;
}

.language-selector:hover {
  color: #212529;

  text-decoration: none;
}

.language-selector .dropdown-menu,
.utility-row .dropdown-menu {
  z-index: 1100;
}

/* --------------------------------------------------
   Main Navigation Row
-------------------------------------------------- */

.main-nav-row {
  min-height: 66px;
}

/* --------------------------------------------------
   Navbar
-------------------------------------------------- */

.navbar {
  width: 100%;
}

/* --------------------------------------------------
   Logo
-------------------------------------------------- */

.site-logo img {
  height: 30px;
  transition: height 0.2s ease;
}

/* --------------------------------------------------
   Main Navigation
-------------------------------------------------- */

.main-navigation {
  display: flex;

  justify-content: center;

  align-items: center;

  gap: 2rem;
}

.main-nav-link {
  position: relative;
  color: #677788;
  font-size: 1.2rem;
}

.main-nav-link:hover {
  position: relative;
  color: #39453f;
}

.main-nav-link::after {
  content: "";

  position: absolute;
  left: 0;
  right: 0;
  bottom: -12px;

  height: 3px;

  background: #ff8c00;

  /* border-radius: 999px; */

  transform: scaleX(0);
  transform-origin: center;

  transition: transform .2s ease;

}

.main-nav-link:hover::after,
.main-nav-link.active::after {
  transform: scaleX(1);
}

@media (max-width: 991px) {
  .main-navigation {
    flex-direction: column;
    align-items: flex-start; 
    gap: 0.3rem;
  }


  .main-cta-wrapper {
    margin-top: 14px;
    height: 48px;
  }


  .main-nav-link:hover::after,
  .main-nav-link.active::after {
    transform: scaleX(0);
  }

    .navbar-expand-tracezilla .navbar-collapse:not(.show) {
    display: none;
  }
}

@media (max-width: 1200px) {
  .main-nav-link {
    font-size: 1.0rem;
  }
}



/* --------------------------------------------------
   CTA
-------------------------------------------------- */

.main-cta {
  padding-left: 1.5rem;

  padding-right: 1.5rem;
}


/* --------------------------------------------------
   Mega Menu
-------------------------------------------------- */
.mega-menu-panel {
  position: absolute;

  top: 100%;
  left: 0;
  right: 0;

  z-index: 1040;

  opacity: 0;
  pointer-events: none;

  /* transform: translateY(-40px); */
  /* transition:
    opacity .35s ease,
    transform .35s ease; */

  transition: opacity .2s ease;
}

.mega-menu-panel.is-active {
  opacity: 1;
  pointer-events: auto;

  /*transform: translateY(0);*/
  transition: opacity .3s ease;
}

.mega-menu-panel .container {
  padding-left: 0;
  padding-right: 0;
}

.mega-menu-panel-inner {
  background: #fff;

  padding: 2rem;
  padding-bottom: 0rem;
  border: 1px solid rgba(0, 0, 0, .04);
  border-radius: 0 0 .5rem .5rem;
  box-shadow: 0 20px 40px rgba(0, 0, 0, .08);
  pointer-events: auto;
}

.mega-menu-backdrop {
  position: fixed;
  top: 117px;
  left: 0;
  width: 100%;
  height: calc(100vh - 75px);
  background: rgba(33, 50, 91, 0.7) none repeat scroll 0% 0%;
  z-index: 1020;
  opacity: 0;

  visibility: hidden;

  transition:
    opacity .4s ease,
    visibility .4s ease,
    top 0.25s ease; /* use same site-topbar top ease when compacted and uncompacted */
}

.mega-menu-backdrop.is-active {
  opacity: 1;

  visibility: visible;
}

/* increase height of backdrop when topbar is compacted */
.site-topbar.compact {
  .mega-menu-backdrop {
    top: 75px;
    height: calc(100vh - 75px);
  }
}

.mega-menu-panel-inner {
  pointer-events: inherit;
}

.mega-menu-link {
  position: relative;
  z-index: 9999;
}

.mega-menu-link {
  display: block;
  width: 100%;
  height: 100%;
}

.mega-menu-link .d-flex,
.mega-menu-link .highlight-icon {
  transition: transform 0.2s ease;
}

.mega-menu-link:hover .d-flex {
  transform: translateY(-2px);
}

.mega-menu-link:hover .highlight-icon {
  transform: scale(1.05);
}

.tracezilla-green {
  background-color: #038889 !important;
  border-color: #038889 !important;
}

.fa-chevron-down {
  font-weight: 500;
  font-size: 0.7em;
  margin-left: 4px;
}

@media (max-width: 991px) {

  .main-navigation,
  .main-cta-wrapper {
    transition:
      opacity 0.25s ease,
      transform 0.25s ease;
  }

  .navbar-collapse.show .main-navigation,
  .navbar-collapse.show .main-cta-wrapper {
    opacity: 1;
    transform: translateY(0);
  }

  .navbar-collapse .main-navigation,
  .navbar-collapse .main-cta-wrapper {
    opacity: 0;
    transform: translateY(-12px);
  }
}

.mega-menu-title {
    position: relative;
    padding-right: 80px; /* adjust as needed */
}


.trz-badge {
    /* display: inline-block; */
    padding: .25em .4em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;

    color: #fff;
    background-color: #6c757d;

    border-radius: .25rem;
    float: right;
}

.mega-menu-addon {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    height: 4.5em; /* 3 lines x line-height (1.5) */
}